%global  _libdir /usr/lib
#overriden due to cmake file installation location

Name:           safestringlib
Version:        1.2.020240520^fd159bf
Release:        %autorelease
Summary:     Routines for safe string operations
License:        MIT
URL:            https://github.com/intel/safestringlib
Source0:     https://github.com/intel/safestringlib/archive/fd159bf8c37a2a0b7ba328766f3c96d9aa075f27.zip
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
# ninja is used cause it is faster than make
BuildRequires: ninja-build


%description
This library includes routines for safe string operations (like strcpy)
and memory routines (like memcpy) that are recommended
for Linux/Android operating systems, and will also work for Windows.
This library is especially useful for cross-platform situations where
one library for these routines is preferred.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
The %{name}-devel package contains  header files for developing



%prep
%autosetup -n safestringlib-fd159bf8c37a2a0b7ba328766f3c96d9aa075f27

%build

%cmake -G Ninja
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_libdir}/libsafestring_shared.so.1.2.0
%doc README.md
%license LICENSE*

%files devel
%{_libdir}/libsafestring_shared.so
%{_includedir}/safe*
%{_includedir}/snprintf_s.h
%{_datadir}/safestring/cmake/

%changelog
%autochangelog
